import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/meperezcuello/a766abb9028b1efafa764dfa5922eb1a/raw/3b3decadf3c8b05dbc602b4d30593a071763f988/wow_handled_data_final.csv';


function _FilterCond(data, value) {
    let filteredData = data.filter(d => d.timestamp === value);
    return filteredData;
  }

function _FilterZone(data, value) {
    let filteredData = data.filter(d => d.zone === value);
    return filteredData;
  }

export const getData = async(time, zone) => {
  const data  = await csv(csvUrl).then(function(data) {
  data.forEach(function(d) {
    d.char = +d.char;
    d.guild = +d.guild
    d.level = +d.guild
    d.timestamp = +d.timestamp 
  });
		return data
});
  
  

	let data_filtered = _FilterZone(_FilterCond(data, time), zone)
  
  const result = Object.values(data_filtered.reduce((r, o) => (r[o.charclass]
  ? (r[o.charclass].char += o.char)
  : (r[o.charclass] = {...o}), r), {}));
  //console.log(result)
  
	//var groups = _.groupBy(_FilterZone(_FilterCond(data, 0), 'Durotar'), 'charclass'); // data is your initial collection
  //console.log(groups)
  //console.log(data)

  return result;
};